org.openmuc.openiec61850

## Class DataSet

- java.lang.Object
- - org.openmuc.openiec61850.DataSet

All Implemented Interfaces:
  java.lang.Iterable<FcModelNode>

    public final class DataSet
    extends java.lang.Object
    implements java.lang.Iterable<FcModelNode>

### Constructor Summary

Constructors
Constructor and Description
`DataSet(java.lang.String dataSetReference, java.util.List<FcModelNode> members)`
`DataSet(java.lang.String dataSetReference, java.util.List<FcModelNode> members, boolean deletable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataSet` `copy()`
`java.util.List<BasicDataAttribute>` `getBasicDataAttributes()`
`FcModelNode` `getMember(int index)`
`FcModelNode` `getMember(ObjectReference memberReference, Fc fc)`
`java.util.List<FcModelNode>` `getMembers()`
`java.lang.String` `getReferenceStr()`
`boolean` `isDeletable()` Those DataSets defined in the SCL file are not deletable.
`java.util.Iterator<FcModelNode>` `iterator()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DataSet

    public DataSet(java.lang.String dataSetReference,
                   java.util.List<FcModelNode> members)

#### DataSet

    public DataSet(java.lang.String dataSetReference,
                   java.util.List<FcModelNode> members,
                   boolean deletable)

### Method Detail

#### getReferenceStr

    public java.lang.String getReferenceStr()

#### copy

    public DataSet copy()

#### getMember

    public FcModelNode getMember(ObjectReference memberReference,
                                 Fc fc)

#### getMember

    public FcModelNode getMember(int index)

#### getMembers

    public java.util.List<FcModelNode> getMembers()

#### isDeletable

    public boolean isDeletable()

Those DataSets defined in the SCL file are not deletable. All other DataSets are deletable. Note that no Reports/Logs may be using the DataSet otherwise it cannot be deleted (but this function will still return true).

Returns:
  true if deletable

#### iterator

    public java.util.Iterator<FcModelNode> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<FcModelNode>`

#### getBasicDataAttributes

    public java.util.List<BasicDataAttribute> getBasicDataAttributes()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`